//! Cli interface.

use clap::Parser;

/// Simple opds server for calibre
#[derive(Parser)]
#[command(version, about, long_about = None)]
pub struct Cli {
    /// Address to listen on
    #[arg(short, long, default_value = "[::1]:3000")]
    pub listen_address: String,
    /// Calibre library path
    #[arg(last = true)]
    pub library_path: String,
}
